/******************************************************************************
 * Copyright (c) 2014, AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 ******************************************************************************/
/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class org_allseen_lsf_StatePulseEffect */

#ifndef _Included_org_allseen_lsf_StatePulseEffect
#define _Included_org_allseen_lsf_StatePulseEffect
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setLamps
 * Signature: ([Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setLamps
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getLamps
 * Signature: ()[Ljava/lang/String;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_StatePulseEffect_getLamps
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setLampGroups
 * Signature: ([Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setLampGroups
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getLampGroups
 * Signature: ()[Ljava/lang/String;
 */
JNIEXPORT jobjectArray JNICALL Java_org_allseen_lsf_StatePulseEffect_getLampGroups
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setPulsePeriod
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setPulsePeriod
  (JNIEnv *, jobject, jlong);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getPulsePeriod
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_org_allseen_lsf_StatePulseEffect_getPulsePeriod
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setPulseDuration
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setPulseDuration
  (JNIEnv *, jobject, jlong);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getPulseDuration
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_org_allseen_lsf_StatePulseEffect_getPulseDuration
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setPulseCount
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setPulseCount
  (JNIEnv *, jobject, jlong);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getPulseCount
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_org_allseen_lsf_StatePulseEffect_getPulseCount
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setFromLampState
 * Signature: (Lorg/allseen/lsf/LampState;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setFromLampState
  (JNIEnv *, jobject, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getFromLampState
 * Signature: ()Lorg/allseen/lsf/LampState;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_StatePulseEffect_getFromLampState
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    setToLampState
 * Signature: (Lorg/allseen/lsf/LampState;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_setToLampState
  (JNIEnv *, jobject, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    getToLampState
 * Signature: ()Lorg/allseen/lsf/LampState;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_StatePulseEffect_getToLampState
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    toString
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_org_allseen_lsf_StatePulseEffect_toString
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    createNativeObject
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_createNativeObject
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_StatePulseEffect
 * Method:    destroyNativeObject
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_StatePulseEffect_destroyNativeObject
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
